body {
    font-family: "Segoe UI Webfont", -apple-system, "Helvetica Neue", "Lucida Grande", "Roboto", "Ebrima", "Nirmala UI", "Gadugi", "Segoe Xbox Symbol", "Segoe UI Symbol", "Meiryo UI", "Khmer UI", "Tunga", "Lao UI", "Raavi", "Iskoola Pota", "Latha", "Leelawadee", "Microsoft YaHei UI", "Microsoft JhengHei UI", "Malgun Gothic", "Estrangelo Edessa", "Microsoft Himalaya", "Microsoft New Tai Lue", "Microsoft PhagsPa", "Microsoft Tai Le", "Microsoft Yi Baiti", "Mongolian Baiti", "MV Boli", "Myanmar Text", "Cambria Math";
    background-color: #f2f2f2;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    margin: 0;
}

.signin-container {
    background-color: white;
    padding: 20px 40px;
    border-radius: 0;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    width: 350px;
    text-align: left;
    margin-bottom: 20px;
    border: 1px solid #ccc;
}

.signin-options {
    background-color: white;
    padding: 10px 40px;
    border-radius: 0;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    width: 350px;
    text-align: left;
    margin-bottom: 20px;
    border: 1px solid #ccc;
}

.header {
    margin-bottom: 20px;
}

.header img {
    width: 100px;
    height: 40px;
}

h1 {
    margin-bottom: 20px;
    font-size: 24px;
    color: #333;
}

form {
    margin-bottom: 20px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.input-container {
    width: 100%;
    border-bottom: 1px solid #ccc;
    margin-bottom: 10px;
}

input[type="text"], input[type="password"] {
    width: 100%;
    padding: 0;
    border: none;
    box-sizing: border-box;
    height: 30px;
}

button {
    width: 120px;
    padding: 7px 10px;
    background-color: #0067b8;
    color: white;
    border: none;
    border-radius: 0;
    cursor: pointer;
    font-size: 16px;
    align-self: flex-end;
}

button:hover {
    background-color: #005a9e;
}

p, .signin-options {
    font-size: 12px;
    margin-bottom: 15px;
}

a {
    color: #0067b8;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

.signin-options {
    display: flex;
    align-items: center;
    justify-content: left;
}

.signin-options img {
    width: 30px;
    height: 30px;
    margin-right: 5px;
}

.login-screen {
    display: none;
}

.login-screen.active {
    display: block;
}

.loading-screen {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100px;
}

.loader {
    border: 4px solid #f3f3f3;
    border-top: 4px solid #3498db;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.warning-message {
    background-color: #ffebcc;
    color: #c98c1a;
    border: 1px solid #c98c1a;
    border-radius: 4px;
    padding: 10px;
    margin-top: 20px;
    text-align: center;
}

/* Mobile Responsive */
@media screen and (max-width: 600px) {
    body {
        background-color: white;
        justify-content: flex-start;
    }

    .signin-container, .signin-options {
        padding: 20px 35%;
        min-width: 300px;
        border: 0px;
        box-shadow: 0;
    }
}
